Package org.xnio.sasl

# Enum SaslQop

java.lang.Object
java.lang.Enum<SaslQop>
org.xnio.sasl.SaslQop

All Implemented Interfaces:
  `Serializable`, `Comparable<SaslQop>`, `java.lang.constant.Constable`

public enum SaslQop extends Enum<SaslQop>
The SASL quality-of-protection value.

See Also:
  - `Sasl.QOP`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUTH`
A QOP value specifying authentication only.
`AUTH_CONF`
A QOP value specifying authentication plus integrity and confidentiality protection.
`AUTH_INT`
A QOP value specifying authentication plus integrity protection.

## Method Summary

Modifier and Type
Method
Description
`static SaslQop`
`fromString(String name)`
Get the SASL QOP level for the given string.
`String`
`getString()`
Get the string representation of this SASL QOP value.
`String`
`toString()`
Get the human-readable string representation of this SASL QOP value.
`static SaslQop`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SaslQop[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AUTH

public static final SaslQop AUTH
A QOP value specifying authentication only.

### AUTH_INT

public static final SaslQop AUTH_INT
A QOP value specifying authentication plus integrity protection.

### AUTH_CONF

public static final SaslQop AUTH_CONF
A QOP value specifying authentication plus integrity and confidentiality protection.

## Method Details

### values

public static SaslQop[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SaslQop valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromString

public static SaslQop fromString(String name)
Get the SASL QOP level for the given string.

Parameters:
  `name` - the QOP level
Returns:
  the QOP value

### getString

public String getString()
Get the string representation of this SASL QOP value.

Returns:
  the string representation

### toString

public String toString()
Get the human-readable string representation of this SASL QOP value.

Overrides:
  `toString` in class `Enum<SaslQop>`
Returns:
  the string representation